Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCpulldownMenu

## Inherited Class

This class inherits the following classes.
WSCbase WSCnwbase WSCvlabel

## Abstract

This class realizes the pulldown menu. A menu is made to appear by clicking the mouse pointer.

    Show to set the property: WSNmenuItems as follows.

    MenuString1: EventProcName1:[KeyName1:[Value1]],
    MenuString2: EventProcName2:[KeyName2:[Value2]],...

    Notice: [KeyName] is no effective now...

    If a cascaded menu is desired, use the following settings.

    menu1:{menu11:ep1:[key11:[val11]],menu12:ep12:[key12:[val12]]},menu2:ep2:[key:[val2]],...

## Function

- Pops-up the menu by clicking of the mouse pointer.
- Cascades the menu.

## Notice

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004